<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:output method="xml" />
    <xsl:strip-space elements="*"/>
    
    <xsl:template match="/">
        <personenliste>
        <xsl:for-each select="//persName[not(preceding::persName = .)]">
            <xsl:sort />
            <xsl:value-of select="." /><xsl:if test="position() != last()">, </xsl:if>
        </xsl:for-each>
        </personenliste>
    </xsl:template>
    
</xsl:stylesheet>