<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:strip-space elements="*" />
    
    <xsl:template match="/">
        <xsl:apply-templates select="//TEI[1]//text" />
    </xsl:template>
    
    <xsl:template match="//TEI[1]//text">
        <brieftext><xsl:apply-templates /></brieftext>
    </xsl:template>
    
    <xsl:template match="note">
        [Anmerkung: <xsl:apply-templates />]
    </xsl:template>
    
</xsl:stylesheet>