<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:template match="/">
        <!-- jeder Brief ist TEI-Dokument -->
        <xsl:for-each select="//TEI">
            <!-- Als Dateinamen nehmen wir die Nummer des Briefes (der wievielte Brief es im Ausgangsdokument ist = position()) -->
            <xsl:result-document href="Brief-{position()}.xml">
                <!-- wir kopieren den ganzen Brief (".", denn wir sind schon beim ganzen Brief) in die neue Datei -->
                <xsl:copy-of select="." />
            </xsl:result-document>
        </xsl:for-each>
    </xsl:template>
    
</xsl:stylesheet>