<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:output method="text" />
    <xsl:strip-space elements="zeile"/>
    
    <xsl:template match="/">
        <xsl:apply-templates select="//haupttext" />
    </xsl:template>
    
    <xsl:template match="zeile">
        <xsl:value-of select="count(preceding-sibling::zeile) + 1"/><xsl:text> </xsl:text><xsl:apply-templates />
    </xsl:template>
    
    <xsl:template match="ironisch">
        <xsl:apply-templates /> [ironisch]</xsl:template>
    
    <xsl:template match="durchgestrichen"></xsl:template>
    
</xsl:stylesheet>